xpra icon
Bug tracker and wiki

Opened 3 months ago

Closed 3 months ago

#2755 closed task (worksforme)

centos 7.8 rebuild

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: major Milestone: 4.0
Component: packaging Version: 3.0.x
Keywords: Cc:

Description

CentOS7.2003

Rebuild all the RPMs. Post new builds so the canonical symlink for "7" points to "7.8".

Change History (2)

comment:1 Changed 3 months ago by Antoine Martin

Status: newassigned

Packages that need to be rebuilt: yasm nasm lame libmad gstreamer1-plugin-timestamp libjpeg-turbo libvpx-xpra x264-xpra libyuv libwebp-xpra ffmpeg-xpra fake-cuda libfakeXinerama xorg-x11-drv-dummy pangox-compat gtkglext pygtkglext Cython python-pytools python-pycuda python-pynvml python-pyopengl python-pyu2f python-rencode python-uinput python-netifaces python-pillow python-lz4

Needed two minor fixups for libvpx-xpra: r26251 + r26252.

There's a problem with pyopengl:

Bytecompiling .py files below /usr/src/rpmbuild/BUILDROOT/python2-pyopengl-3.1.5-1xpra1.el7_8.x86_64/usr/lib/python2.7 using /usr/bin/python2.7
Compiling /usr/src/rpmbuild/BUILDROOT/python2-pyopengl-3.1.5-1xpra1.el7_8.x86_64/usr/lib/python2.7/site-packages/OpenGL/EGL/debug.py ...
  File "/usr/lib/python2.7/site-packages/OpenGL/EGL/debug.py", line 39
    print("P3", file=f)
                    ^
SyntaxError: invalid syntax

But I don't want to go back to the really old 3.1.1 version... So this will need patching out?

comment:2 Changed 3 months ago by Antoine Martin

Resolution: worksforme
Status: assignedclosed

Workaround for the pyopengl breakage in r26253, tested OK via the beta repo.

Builds have been posted.

It would be nice to silence the dec_jpeg codec and webp-in-pillow warnings on centos7.

Note: See TracTickets for help on using tickets.